.states {
  display: inline-flex;
  justify-content: space-around;
  max-width: 1180px;
  width: 100%;
  flex-wrap: wrap;

  &__header{
    width: 100%;
    margin-top: 40px;
    font-family: 'IntroBold';
    font-style: normal;
    font-weight: bold;
    font-size: 52px;
    line-height: 52px;

    color: #000000;

  }
  .state_hover_text {
    opacity: 0;
    transition: 0.5s;
    width: 380px;
    height: 480px;
    padding: 0 20px 0 20px;
    box-sizing: border-box;
    display: block;
    position: absolute;
    overflow: hidden;
    color: transparent;
  }
}

.loading{
  min-height: 700px;
}
.states_page{
  width: 100%;
  display: flex;
  justify-content: center;
  min-height: 700px;
}

.casual_state{
  margin-top: 20px;
  width: 380px;
  height: 480px;
  background: white;
  color: black;
  @media (max-width: 400px){
    width: 300px;
    overflow: hidden;
    position: relative;
  }

  &:hover{
    .state_hover_text{
      opacity: 1;
      width: 380px;
      height: 480px;
      background: linear-gradient(218.96deg, rgba(91, 29, 108, 0.95) 0%, rgba(23, 108, 137, 0.95) 100%);
      display: flex;
      justify-content: center;
      position: absolute;
      flex-direction: column;
      @media(max-width: 380px) {
        width: 100%;
      }

      &__type {
        font-family: 'IntroRegular';
        font-style: normal;
        font-weight: normal;
        font-size: 18px;
        line-height: 18px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }

      &__title {
        margin-top: 16px;
        font-family: 'IntroBold';
        font-style: normal;
        font-weight: bold;
        font-size: 32px;
        line-height: 32px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }

      &__subtitle {
        margin-top: 30px;
        font-family: 'IntroRegular';
        font-style: normal;
        font-weight: normal;
        font-size: 24px;
        line-height: 24px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }
    }
  }
  .state_text{
    height: calc(50% - 60px);
    display: flex;
    align-items: flex-end;
  }
  .state_img{
    height: 50%;
    width: 100%;
    img{
      width: 100%;
      height: 100%;
      display: block;
    }
  }
}

.dark_casual_state{

  margin-top: 20px;
  width: 380px;
  height: 480px;
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
  @media (max-width: 400px){
    width: 300px;
    overflow: hidden;
    position: relative;
  }
  &:hover{
    .state_hover_text{
      opacity: 1;
      width: 380px;
      height: 480px;
      background: linear-gradient(218.96deg, rgba(91, 29, 108, 0.95) 0%, rgba(23, 108, 137, 0.95) 100%);
      display: flex;
      justify-content: center;
      position: absolute;
      flex-direction: column;
      @media(max-width: 380px) {
        width: 100%;
      }

      &__type {
        font-family: 'IntroRegular';
        font-style: normal;
        font-weight: normal;
        font-size: 18px;
        line-height: 18px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }

      &__title {
        margin-top: 16px;
        font-family: 'IntroBold';
        font-style: normal;
        font-weight: bold;
        font-size: 32px;
        line-height: 32px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }

      &__subtitle {
        margin-top: 30px;
        font-family: 'IntroRegular';
        font-style: normal;
        font-weight: normal;
        font-size: 24px;
        line-height: 24px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }
    }
  }
  .state_text{
    color: white;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0.1%, #000000 30.31%);
    &__type{
      color: white;
      width: auto;
    }

  }
}

.state_text{
    padding: 0px 23px 30px 17px;
    display: flex;
    align-items: flex-end;
    &__type{
      width: 100%;
      vertical-align: bottom;
      font-family: 'IntroRegular';
      font-style: normal;
      font-weight: normal;
      font-size: 18px;
      line-height: 18px;
    }
    &__title{
      width: 100%;
      margin-top: 24px;
      font-family: 'IntroBold';
      font-style: normal;
      font-weight: bold;
      font-size: 32px;
      line-height: 32px;
    }
}

.big_state{

  margin-top: 20px;
  max-width: 780px;
  width: 100%;
  height: 480px;
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
  @media (max-width: 1050px) {
    max-width: 380px;
  }
  @media (max-width: 400px){
    max-width: 300px;
    overflow: hidden;
    position: relative;
  }
  .state_hover_text {
    max-width: 780px;
    width: 100%;
    @media (max-width: 1050px) {
      max-width: 380px;
    }
  }
  &:hover{
    .state_hover_text{
      opacity: 1;
      max-width: 780px;
      width: 100%;
      height: 480px;
      background: linear-gradient(218.96deg, rgba(91, 29, 108, 0.95) 0%, rgba(23, 108, 137, 0.95) 100%);
      display: flex;
      justify-content: center;
      position: absolute;
      flex-direction: column;
      @media (max-width: 1050px) {
        max-width: 380px;
      }
      @media(max-width: 380px) {
        width: 100%;
      }
      &__type {
        font-family: 'IntroRegular';
        font-style: normal;
        font-weight: normal;
        font-size: 18px;
        line-height: 18px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }

      &__title {
        margin-top: 16px;
        font-family: 'IntroBold';
        font-style: normal;
        font-weight: bold;
        font-size: 32px;
        line-height: 32px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }

      &__subtitle {
        margin-top: 30px;
        font-family: 'IntroBold';
        font-style: normal;
        font-weight: normal;
        font-size: 24px;
        line-height: 24px;
        color: #FFFFFF;
        text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.4);
      }
    }
  }
  .state_text{
    color: white;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0.1%, #000000 30.31%);
    &__type{
      color: white;
    }

  }
}
.news-container{
  width: 380px;
  height: 480px;
  background: #FFFFFF;
  border: 1px solid #C4C4C4;
  box-sizing: border-box;
  margin-top: 20px;
  position: relative;
  @media(max-width: 380px) {
    width: 100%;
  }
  .news{
    &__header{
      background: linear-gradient(260.18deg, #7E2694 7.82%, #2395BD 97.48%);
      font-family: 'IntroBold';
      font-style: normal;
      font-weight: bold;
      font-size: 32px;
      line-height: 32px;
      padding: 20px 10px 16px 10px;
      height: 60px;
      width: 380px;
      box-sizing: border-box;

      color: #FFFFFF;
      @media(max-width: 380px) {
        width: 100%;
      }
    }
    &__content{
      height: 376px;
      overflow: hidden;
      display: flex;
      align-items: center;
      flex-direction: column;
      background: white;
      border-left: 1px solid #C4C4C4;
      border-right: 1px solid #C4C4C4;
      @media(max-width: 380px) {
        width: 100%;
      }
      &-container{
        width: 380px;
        position: absolute;
        z-index: 10;
        @media(max-width: 380px) {
          width: 100%;
        }

      }
    }
    &__state{
      width: 340px;
      border-bottom: 1px solid #E5E5E5;
      padding: 20px 0 20px 0;
      @media(max-width: 380px) {
        width: 100%;
      }
      &-date{
        font-family: 'IntroBold';
        font-style: normal;
        font-weight: bold;
        font-size: 16px;
        line-height: 16px;
        color: #909090;
      }
      &-title{
        margin-top: 15px;
        font-family: 'IntroRegular';
        font-style: normal;
        font-weight: normal;
        font-size: 24px;
        line-height: 24px;
        height: 68px;

        color: #000000;
      }
    }
    &__button{
      width: 380px;
      border-left: 1px solid #C4C4C4;
      border-right: 1px solid #C4C4C4;
      border-bottom: 1px solid #C4C4C4;
      padding-bottom: 16px;
      padding-top: 20px;
      display: flex;
      box-sizing: border-box;
      justify-content: center;
      background: white;
      z-index:11;
      @media(max-width: 380px) {
        width: 100%;
      }
      :hover{
        cursor: pointer;
      }
    }
    &__wrap{
      overflow: visible;
      height: auto;
      z-index: 2;
    }
    &__button-active{
      transform: rotate(180deg);
      border-top: 1px solid #C4C4C4;
      border-bottom: none;
    }
  }
}
